%define version 0.7.1
%define release %mkrel 8
%define name xmms-arts
%define theirname arts_output

Name: xmms-arts
Summary: KDE aRtsd output plugin for XMMS
Version: %{version}
Release: %{release}
License: GPL
Group: Sound
URL: 	http://xmms.org/plugins.php?details=85
Source:	http://havardk.xmms.org/plugins/arts_output/%{theirname}-%{version}.tar.bz2
Patch0: arts_output-0.6.0-gtk.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: xmms
BuildRequires: gtk+-devel xmms-devel kdelibs-devel arts arts-devel

%description
xmms - aRts is an output plugin to allow XMMS playback through 
the KDE2 soundserver, aRts.
			     
%prep
%setup -q -n %{theirname}-%{version}
%patch0 -p0

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/xmms/Output
install .libs/libarts.so $RPM_BUILD_ROOT/%{_libdir}/xmms/Output/libarts.so

mkdir -p $RPM_BUILD_ROOT/%_bindir/
install -m 755 xmms-arts-helper $RPM_BUILD_ROOT/%_bindir/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README NEWS INSTALL AUTHORS
%{_libdir}/xmms/Output/libarts.so
%_bindir/xmms-arts-helper



%changelog
* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7.1-8mdv2009.0
+ Revision: 262513
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7.1-7mdv2009.0
+ Revision: 257207
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.1-5mdv2008.1
+ Revision: 130342
- kill re-definition of %%buildroot on Pixel's request


* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.7.1-5mdk
- Rebuild

* Thu Jun 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.1-4mdk
- fix summary

* Thu Jun 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.1-3mdk
- Rebuild

* Thu Apr 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-2mdk
- Fix url reported by Shlomi Fish <shlomif@iglu.org.il>

* Tue Mar 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-1mdk
- New version doesn't segfault

* Thu Jan 15 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.0-2mdk
- add David Walser's patch (p0) to allow build against gtk2

* Sat Sep 13 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.0-1mdk
- use Havard Kvalen's arts output plugin, should work better

* Thu Sep 04 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-2mdk
- fixes invalid-build-requires libarts2-devel

* Thu Aug 28 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-1mdk
- debian has 0.5 version thx to Chris Boyle, which fixes a bunch of
  stuff

* Thu Jul 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4-10mdk
- Rebuild

* Fri May 02 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4-9mdk
- rebuild

* Fri Feb 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4-8mdk
- rebuild to fix invalid-packager

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4-7mdk
- fix patch-not-applied

* Wed Aug 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.4-6mdk
- fix BuildRequires
- s/Copyright/License/

* Thu Jul 05 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4-5mdk
- rebuild

* Thu May 24 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4-4mdk
- recompile against libxmms-1.2.5

* Thu Mar 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4-3mdk
- remove versioning of sofile

* Wed Mar 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4-2mdk
- don't put static libs in the package!
- fix requires and buildrequires

* Tue Mar 06 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4-1mdk
- 0.4

* Tue Nov 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3-1mdk
- new in contribs

* Fri Oct 06 2000 Sandor Takacs <taki@fok.hu> 0.1-1mdk
- First Mandrake release

